Debian Bug report logs - #550716
ncurses: cross-build fails due to colon in PKG_CONFIG_LIBDIR

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Mon, 12 Oct 2009 13:12:05 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version 5.7+20090803-2

Fixed in version ncurses/5.7+20100313-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#550716; Package ncurses. (Mon, 12 Oct 2009 13:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 12 Oct 2009 13:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: ncurses: cross-build fails due to colon in PKG_CONFIG_LIBDIR
Date: Mon, 12 Oct 2009 13:52:39 +0100
Package: ncurses
Version: 5.7+20090803-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch karmic

When cross-building, dpkg-buildpackage sets PKG_CONFIG_LIBDIR to a
colon-separated pair of paths. This is valid as far as pkg-config is
concerned. However, ncurses breaks like this:

  cd misc && /usr/bin/make DESTDIR="/home/cjwatson/tmp/ncurses/debian/tmp" all
  make[2]: Entering directory `/home/cjwatson/tmp/ncurses/obj/misc'
  Makefile:128: *** target pattern contains no `%'. Stop.

The following patch fixes this, although it relies on GNU Make features
and so upstream might want to consider a different approach.

  * debian/patches/08-pkg-config-libdir.patch: Cope with multiple
    colon-separated entries in $(PKG_CONFIG_LIBDIR), as set by default by
    dpkg-buildpackage when cross-compiling.

diff -u ncurses-5.7+20090803/debian/patches/00list ncurses-5.7+20090803/debian/patches/00list
--- ncurses-5.7+20090803/debian/patches/00list
+++ ncurses-5.7+20090803/debian/patches/00list
@@ -7,0 +8 @@
+08-pkg-config-libdir.dpatch
only in patch2:
unchanged:
--- ncurses-5.7+20090803.orig/debian/patches/08-pkg-config-libdir.dpatch
+++ ncurses-5.7+20090803/debian/patches/08-pkg-config-libdir.dpatch
@@ -0,0 +1,20 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 08-cross-compile.dpatch by Colin Watson <cjwatson@ubuntu.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Cope with multiple colon-separated entries in $(PKG_CONFIG_LIBDIR),
+## DP: as set by default by dpkg-buildpackage when cross-compiling.
+
+@DPATCH@
+diff -urNad ncurses-5.7+20090803~/misc/Makefile.in ncurses-5.7+20090803/misc/Makefile.in
+--- ncurses-5.7+20090803~/misc/Makefile.in	2009-02-10 14:59:19.000000000 +0000
++++ ncurses-5.7+20090803/misc/Makefile.in	2009-10-12 13:25:29.000000000 +0100
+@@ -129,7 +129,7 @@
+ $(DESTDIR)$(libdir) \
+ $(DESTDIR)$(datadir) \
+ $(DESTDIR)$(tabsetdir) \
+-$(DESTDIR)$(PKG_CONFIG_LIBDIR) :
++$(foreach d,$(subst :, ,$(PKG_CONFIG_LIBDIR)),$(DESTDIR)$(d)) :
+ 	$(SHELL) $(top_srcdir)/mkdirs.sh $@
+ 
+ uninstall : uninstall.data uninstall.libs

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Added tag(s) fixed-upstream. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 01 Nov 2009 09:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Craig Small <csmall@enc.com.au> to control@bugs.debian.org. (Mon, 11 Jan 2010 12:03:07 GMT) Full text and rfc822 format available.

Message sent on to Colin Watson <cjwatson@ubuntu.com>:
Bug#550716. (Mon, 11 Jan 2010 12:03:11 GMT) Full text and rfc822 format available.

Message #12 received at 550716-submitter@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@enc.com.au>
To: 550716-submitter@bugs.debian.org
Subject: Bug#550716 marked as pending
Date: Mon, 11 Jan 2010 12:01:13 +0000
tag 550716 pending
thanks

Hello,

Bug #550716 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=daff6a2

---
commit daff6a2b484396946347bf1d816fcd39b9e35586
Author: Craig Small <csmall@enc.com.au>
Date:   Mon Jan 11 22:59:31 2010 +1100

    Adjusted other install files to stop double-instal

diff --git a/debian/changelog b/debian/changelog
index f86826a..37325b7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 ncurses (5.7+20090919-1) UNRELEASED; urgency=low
 
+  [ Sven Joachim ]
   * New upstream patchlevel.
     - Workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro
       on amd64 (Closes: #542031).
@@ -40,7 +41,11 @@ ncurses (5.7+20090919-1) UNRELEASED; urgency=low
   * Use dh_install instead of dh_movefiles to install files and clean
     up debian/rules a bit.
 
- -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2010 19:24:24 +0100
+  [ Craig Small ]
+  * New maintainer Closes: 543852
+  * Cross compile patch applied Closes: #550716
+
+ -- Craig Small <csmall@debian.org>  Mon, 11 Jan 2010 22:59:01 +1100
 
 ncurses (5.7+20090803-2) unstable; urgency=low
 




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Tue, 16 Mar 2010 00:39:21 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 00:39:21 GMT) Full text and rfc822 format available.

Message #17 received at 550716-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 550716-close@bugs.debian.org
Subject: Bug#550716: fixed in ncurses 5.7+20100313-1
Date: Tue, 16 Mar 2010 00:37:20 +0000
Source: ncurses
Source-Version: 5.7+20100313-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20100313-1_amd64.deb
lib32ncurses5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20100313-1_amd64.deb
lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
lib32ncursesw5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20100313-1_amd64.deb
libncurses5-dbg_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20100313-1_amd64.deb
libncurses5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20100313-1_amd64.deb
libncurses5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20100313-1_amd64.deb
libncursesw5-dbg_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20100313-1_amd64.deb
libncursesw5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20100313-1_amd64.deb
libncursesw5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20100313-1_amd64.deb
ncurses-base_5.7+20100313-1_all.deb
  to main/n/ncurses/ncurses-base_5.7+20100313-1_all.deb
ncurses-bin_5.7+20100313-1_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20100313-1_amd64.deb
ncurses-term_5.7+20100313-1_all.deb
  to main/n/ncurses/ncurses-term_5.7+20100313-1_all.deb
ncurses_5.7+20100313-1.diff.gz
  to main/n/ncurses/ncurses_5.7+20100313-1.diff.gz
ncurses_5.7+20100313-1.dsc
  to main/n/ncurses/ncurses_5.7+20100313-1.dsc
ncurses_5.7+20100313.orig.tar.gz
  to main/n/ncurses/ncurses_5.7+20100313.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550716@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Feb 2010 09:45:58 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source amd64 all
Version: 5.7+20100313-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 365120 429198 444250 509919 532022 542031 543852 550716 553239 556378 563272 573597
Changes: 
 ncurses (5.7+20100313-1) unstable; urgency=low
 .
   [ Sven Joachim ]
   * New upstream patchlevel.
     - Workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro
       on amd64 (Closes: #542031).
     - Fix typo in curs_mouse.3x (Closes: #429198).
     - Modify CF_MAN_PAGES configure macro to replace all occurrences of
       TPUT in tput.1's manpage (Closes: #573597).
     - Bump shlibs version, as there are several new symbols.
   * Remove patch introduced in 5.5-2, applied upstream. Remove patch
     introduced in version 5.7+20090627-1, no longer necessary.
   * Switch patch system to quilt.
     - Add a short debian/README.source as recommended by policy.
   * Configure with /usr/share/terminfo as default terminfo dir, so that
     we get the correct tabset directory (Closes: #509919, LP: #200773).
   * Update xterm terminfo entry from xterm 246 (Closes: #444250).
   * Derive xterm{16,256,88}-color from xterm-debian rather than
     xterm-new for correct backspace key behavior.
   * Move the debugging libraries back to /usr/lib/debug (Closes: #553239),
     ship detached debugging symbols (Closes: #532022).
   * Fix typo in debian/rules that lead to a dangling symlink in
     lib64ncurses-dev (Closes: #563272).
   * Install the binaries built without trace support in ncurses-bin
     to avoid symbol lookup errors (Closes: #365120).
   * Build static libraries with "--without-dlsym" (Closes: #556378).
   * Remove compatibility symlinks in /usr/share/terminfo that were only
     necessary for upgrades from versions prior to 5.4-9.
   * debian/control cleanups:
     - Adjust priority of the source package to required.
     - Remove duplicate Section field for library packages.
     - Fix dependencies of lib32ncursesw5-dev.
     - Fix long descriptions of 32-bit packages on 64-bit systems.
     - Do not recommend libgpm2 in non-native library packages, nor on
       non-Linux architectures.
     - Remove very old Replaces/Conflicts/Provides on ncurses-developer,
       ncurses and tput.
     - Version the "Replaces: ia32-libs" for lib32ncurses-dev.
     - Remove no longer needed "Replaces: ncurses-term" and
       "Depends: libncurses5" from ncurses-base.
     - Set Homepage field to http://invisible-island.net/ncurses/.
     - Add Vcs-Browser and Vcs-Git fields.
     - Add ${misc:Depends} in all Depends fields.
     - Add myself to Uploaders.
   * Add lintian override for alleged spelling error in ncurses-base'
     extended description; "linux" refers to a terminal type there.
   * Use dh_install instead of dh_movefiles to install files and clean
     up debian/rules a bit.
   * Update Standards-Version to 3.8.4, no changes needed.
 .
   [ Craig Small ]
   * New maintainer Closes: 543852
   * Cross compile patch applied Closes: #550716
Checksums-Sha1: 
 d7fd67e22001bababfdaf5daa200cb49d4c3eee2 1567 ncurses_5.7+20100313-1.dsc
 78cab206166d278f0ab6f2df0d20ff569cbf305a 2612398 ncurses_5.7+20100313.orig.tar.gz
 57fb3fac17491c23c9363895d3598f6765eca724 45965 ncurses_5.7+20100313-1.diff.gz
 8089af6d5e65c1229272aa81b1a1fc5b3e1e4b5b 364428 libncurses5_5.7+20100313-1_amd64.deb
 7c60ec0300adfc8122198fe7e9e5a99b2a0820b5 1631998 libncurses5-dev_5.7+20100313-1_amd64.deb
 f6a382e24df24a8eb98538fcf7b9e772a3867e6a 3260948 libncurses5-dbg_5.7+20100313-1_amd64.deb
 c30e205ae3ca3e316409a7150c700e4ff10a2702 389154 libncursesw5_5.7+20100313-1_amd64.deb
 bbd6e9095f8b733b2602e3d55e081ee41763aae2 528134 libncursesw5-dev_5.7+20100313-1_amd64.deb
 2edea94eaed0a1503c44f06382c8db259f026bae 2803976 libncursesw5-dbg_5.7+20100313-1_amd64.deb
 3ab82f33fc1731ec779e535e674a7609d391d5c0 344366 lib32ncurses5_5.7+20100313-1_amd64.deb
 44b4c16d0f8e44f49bdda306192c9f982a07dcab 396646 lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 5f43ba38a4899f1bf9c039d8386484a999944d35 370856 lib32ncursesw5_5.7+20100313-1_amd64.deb
 90fc2f33feab71509477e0ef6461fc682acb3e5c 426102 lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 c550a429cddc3c91f30175ea236efe9055a6e9b7 319822 ncurses-bin_5.7+20100313-1_amd64.deb
 35a638c53cecdfe1ca990018c7c17726769ab840 187128 ncurses-base_5.7+20100313-1_all.deb
 181bc883e908ee1c9cfeff047db5f51063683846 576314 ncurses-term_5.7+20100313-1_all.deb
Checksums-Sha256: 
 8f5099d0680e3d3e04765c4c05f916aa83a7f9bbb3ff7dc2778861114cd0aeec 1567 ncurses_5.7+20100313-1.dsc
 95e8629e1596366e20f8a72eff80b3d0ba91d1a79cc38b4696bfe39cfc6815ef 2612398 ncurses_5.7+20100313.orig.tar.gz
 837ce8472cc7f2f72766646de090bc512e7a1b5dccbdadc6dc3ae51e62290b72 45965 ncurses_5.7+20100313-1.diff.gz
 095563ee6304011da08bfc6b23767732760619a4a4528135490b9cf0e10ecb31 364428 libncurses5_5.7+20100313-1_amd64.deb
 dd2c06bd799ad65ecea26dc6b20d504ba9cf246f3070f47c31903615c50e051a 1631998 libncurses5-dev_5.7+20100313-1_amd64.deb
 abaa1f30ccac0504c46b9724e859a4f78ee23e7ec2c66aa536cda9d6151ba301 3260948 libncurses5-dbg_5.7+20100313-1_amd64.deb
 975904c340d6149bae428738b4e83b658ef872a34866a5573febb87460410f52 389154 libncursesw5_5.7+20100313-1_amd64.deb
 e33416eb5cc778baef1750db44eae09a36889f9eb9dd01af991cab02008142f5 528134 libncursesw5-dev_5.7+20100313-1_amd64.deb
 59e694705b20cf242ab1da572f108484d64827ccc94bc56113c6338edce31878 2803976 libncursesw5-dbg_5.7+20100313-1_amd64.deb
 5568e1850779607dfcacdc94f52dc0a81cda2f526521238bf42ceb93ed4648ea 344366 lib32ncurses5_5.7+20100313-1_amd64.deb
 39620997ac6ea973be99208bc79ff82150b0f4a599343512341da92c2203f93f 396646 lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 22dfe05e9b18d92ccd04b167b405fd53fb691adb9aca53835f7520d241a2becb 370856 lib32ncursesw5_5.7+20100313-1_amd64.deb
 b020151b2acde2c420b227c52a41c47afa179fff3490c7b27e7457fdef73df9b 426102 lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 40abd35bfa8d74b8ee5ffa34818f0e95c602aa5a4f4869551217a51b2eea5be9 319822 ncurses-bin_5.7+20100313-1_amd64.deb
 ca6bfb667be50a161c50980015ce69f1a29fe21c1e1094f036618b4b8ef67401 187128 ncurses-base_5.7+20100313-1_all.deb
 e397ac2eaba252f36fa2b0a3a4e511e44774485c071bcbb9dc0131201752135d 576314 ncurses-term_5.7+20100313-1_all.deb
Files: 
 1828455ebe522121f1a9e5a0a2682407 1567 libs required ncurses_5.7+20100313-1.dsc
 89f4f4b6dc88cc147c6f4b7a7f9fa80b 2612398 libs required ncurses_5.7+20100313.orig.tar.gz
 e8efe5f39428b837a975317a5520f465 45965 libs required ncurses_5.7+20100313-1.diff.gz
 1baf1cb07f2b93337086cc0fe3b4ce9e 364428 libs required libncurses5_5.7+20100313-1_amd64.deb
 bee9f02e7f657a1f3dbcab64d82e3593 1631998 libdevel optional libncurses5-dev_5.7+20100313-1_amd64.deb
 8e445a0acac4b8a2ed9a5bd8677386a9 3260948 debug extra libncurses5-dbg_5.7+20100313-1_amd64.deb
 f37c1d8f5eec4969a12e7fe816a4db18 389154 libs important libncursesw5_5.7+20100313-1_amd64.deb
 17554149c250d3a7dd13182a91361102 528134 libdevel optional libncursesw5-dev_5.7+20100313-1_amd64.deb
 7a6b42c271274cc5fe970b80604a0760 2803976 debug extra libncursesw5-dbg_5.7+20100313-1_amd64.deb
 fadbf4f97d547884d4eab546126aa86b 344366 libs optional lib32ncurses5_5.7+20100313-1_amd64.deb
 a4da64ca27d7edd0b34c9915c5f9d1c7 396646 libdevel optional lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 224ca9578a1dcce6ef6330ad616a667a 370856 libs optional lib32ncursesw5_5.7+20100313-1_amd64.deb
 7957cd451f14b737f748645c22eba196 426102 libdevel optional lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 7ef749fc8c70b325676581c2e8d1fdfb 319822 utils required ncurses-bin_5.7+20100313-1_amd64.deb
 a5464897db2c96ffec75b64fd8447dba 187128 utils required ncurses-base_5.7+20100313-1_all.deb
 5b1298da2c5ee553567792b6f3137756 576314 admin standard ncurses-term_5.7+20100313-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLns2Vx2zlrBLK36URAsRIAKCHNvA64fYgvil+SEfAYx/00CWLwACgm6Xq
aeBqRvxlP79H2IiXp6/GsEg=
=u5J5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Apr 2010 07:32:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:38:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.